#
# spec file for package libgail-gnome (Version 1.1.3)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl alsa alsa-devel at-spi at-spi-devel atk atk-devel attr audiofile audiofile-devel audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 cairo cairo-devel coreutils cpio cpp cracklib cups-libs cvs cyrus-sasl db dbus-1 dbus-1-devel dbus-1-glib desktop-translations diffutils e2fsprogs esound esound-devel evolution-data-server expat file filesystem fillup findutils flex fontconfig fontconfig-devel freetype2 freetype2-devel gail gail-devel gawk gcc gconf2 gconf2-devel gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-32bit glibc-devel glibc-locale glitz glitz-devel gnome-desktop gnome-filesystem gnome-icon-theme gnome-keyring gnome-keyring-devel gnome-menus gnome-panel gnome-panel-devel gnome-vfs2 gnome-vfs2-devel gnutls gnutls-devel gpm grep groff gtk2 gtk2-devel gzip hal hal-devel info insserv klogd krb5 less libacl libart_lgpl libart_lgpl-devel libattr libbonobo libbonobo-devel libbonoboui libbonoboui-devel libcom_err libdrm libgcc libgcrypt libgcrypt-devel libglade2 libglade2-devel libgnome libgnome-devel libgnomecanvas libgnomecanvas-devel libgnomeprint libgnomeprint-devel libgnomeprintui libgnomeprintui-devel libgnomesu libgnomeui libgnomeui-devel libgpg-error libgpg-error-devel libgssapi libjpeg libjpeg-devel libmudflap libnscd libpng libpng-devel libsoup libstdc++ libtiff libtool libusb libwnck libwnck-devel libxcrypt libxml2 libxml2-devel libzio m4 mDNSResponder-devel mDNSResponder-lib make man mktemp module-init-tools mozilla-nspr mozilla-nss ncurses ncurses-devel net-tools netcfg openldap2-client openmotif-libs openssl openssl-devel orbit2 orbit2-devel pam pam-modules pango pango-devel patch perl permissions pkgconfig popt popt-devel procinfo procps psmisc pwdutils python rcs readline resmgr rpm sed shared-mime-info startup-notification strace sysvinit tar tcpd texinfo timezone unzip update-desktop-files util-linux vim xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           libgail-gnome
BuildRequires:  at-spi-devel gail-devel gnome-panel-devel gnutls-devel libgnomeprintui-devel libwnck-devel mDNSResponder-devel update-desktop-files
Version:        1.1.3
Release:        41.13
URL:            http://www.gnome.org/
Group:          System/GUI/GNOME
License:        GNU Library General Public License v. 2.0 and 2.1 (LGPL)
Summary:        GNOME Accessibility Implementation Library for gnomeui and libbonoboui
Source:         ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/1.1/%{name}-%{version}.tar.bz2
Patch:          libgail-gnome-decl.patch
Autoreqprov:    on
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package contains an implementation of the ATK interfaces for GNOME
widgets.



Authors:
--------
    Bill Haneman <bill.haneman@sun.com>
    Marc Mulcahy <marc.mulcahy@sun.com>
    Padraig Obriain <padraig.obriain@sun.com>

%debug_package
%package devel
Group:          System/GUI/GNOME
Summary:        GNOME Accessibility Implementation Library for gnomeui and libbonoboui
Requires:       %{name} = %{version} atk-devel gtk2-devel libbonoboui-devel

%description devel
This package contains an implementation of the ATK interfaces for GNOME
widgets.



Authors:
--------
    Bill Haneman <bill.haneman@sun.com>
    Marc Mulcahy <marc.mulcahy@sun.com>
    Padraig Obriain <padraig.obriain@sun.com>

%prep
%setup
%patch

%build
autoreconf -fi
export CFLAGS="$RPM_OPT_FLAGS"
./configure\
 --prefix=/opt/gnome\
 --libexecdir=/opt/gnome/%{_lib}\
 --sysconfdir=/etc/opt/gnome\
 --localstatedir=/var/opt/gnome\
 --libdir=/opt/gnome/%{_lib}
make

%install
make DESTDIR=$RPM_BUILD_ROOT install
rm $RPM_BUILD_ROOT/opt/gnome/%_lib/gtk-2.0/modules/libgail-gnome.*a

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
/opt/gnome/%{_lib}/gtk-2.0/modules/*.so

%files devel
%defattr (-, root, root)
/opt/gnome/%{_lib}/pkgconfig/*.pc

%changelog
* Thu Dec 07 2006 - jhargadon@suse.de
- update to version 1.1.3  (fate#300419)
- revert change to gail-gnome/bonobo-accessibility-init.c.
  impl_bonobo_control_frame_get_parent_accessible method
  should return the parent object after all.
- revert change to  gail-gnome/bonobo_socket_atk_object.c
  (bonobo_socket_atk_object_get_accessible)
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Nov 30 2005 - gekker@suse.de
- Update to version 1.1.2
* Tue Aug 02 2005 - sbrabec@suse.cz
- Updated to version 1.1.1.
- Removed unneeded .la files for modules.
* Wed Jun 01 2005 - sbrabec@suse.cz
- Fixed devel requirements.
* Wed Jan 19 2005 - clahey@suse.de
- Updated to version 1.1.0.
* Thu May 13 2004 - mmj@suse.de
- Invoke autoreconf -fi to fix build on other archs than i386
- Don't remove buildroot in %%install
* Tue May 11 2004 - sbrabec@suse.cz
- Package renewed, version 1.0.4 (GNOME 2.6).
* Sat Jan 10 2004 - adrian@suse.de
- add %%defattr
* Mon Jul 14 2003 - sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Tue Jun 24 2003 - sbrabec@suse.cz
- Updated to version 1.0.2.
- Prefix clash fix (gtk modules).
* Mon Jun 23 2003 - ro@suse.de
- removed docdir entry from specfile
* Thu Jan 16 2003 - ro@suse.de
- use gtk2-devel-packages and libjpeg in neededforbuild
* Wed Jan 15 2003 - ro@suse.de
- added expat to neededforbuild
* Tue Sep 24 2002 - sbrabec@suse.cz
- Added alsa-devel to neededforbuild, because esound-devel can require it.
* Thu Sep 19 2002 - sbrabec@suse.cz
- Added alsa to neededforbuild, because esound can depend on it.
* Fri Aug 09 2002 - hhetter@suse.de
- added openssl to neededforbuild
* Fri Jul 26 2002 - adrian@suse.de
- fix neededforbuild
* Thu Jun 27 2002 - hhetter@suse.de
- initial SuSE package
